<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">
  <title>Se connecter</title>
  <!-- Custom fonts for this template-->
  <link href="{{ asset('admin_assets/vendor/fontawesome-free/css/all.min.css') }}" rel="stylesheet" type="text/css">
  <link rel="shortcut icon" type="x-icon" href="admin_assets/img/tab-icon.png">
  <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">
  
  <!-- Custom styles for this template-->
  <link href="{{ asset('admin_assets/css/sb-admin-2.min.css') }}" rel="stylesheet">
  <style>
    .responsive-logo {
    width: 400px;
    height: 400px;
    object-fit: cover;
    border-radius: 50%;
}

@media (max-width: 768px) {
    .responsive-logo {
        width: 200px;
        height: 200px;
    }
}

  </style>
</head>
<body class="bg-gradient-primary">
  <div class="container">
    <!-- Outer Row -->
    <div class="row justify-content-center">
      <div class="col-xl-10 col-lg-12 col-md-9">
          <div class="card o-hidden border-0 shadow-lg my-5">
              <div class="card-body p-0">
                  <!-- Nested Row within Card Body -->
                  <div class="row">
                    <div class="col-lg-6 d-none d-lg-block bg-login-image d-flex justify-content-center align-items-center">
                        <img 
                            class="rounded-circle img-fluid responsive-logo" 
                            src="{{ asset('images/logo/logo-acup.jpg') }}" 
                            alt="Logo">
                    </div>
                    
                    
                      <div class="col-lg-6">
                          <div class="p-5">
                              <div class="text-center">
                                  <h1 class="h5 text-gray-900 mb-4">Connectez-vous pour acceder à votre compte</h1>
                              </div>
                              <form action="{{ route('login.action') }}" method="POST" class="user">
                                  @csrf
                                  @if ($errors->any())
                                      <div class="alert alert-danger">
                                          <ul>
                                              @foreach ($errors->all() as $error)
                                                  <li>{{ $error }}</li>
                                              @endforeach
                                          </ul>
                                      </div>
                                  @endif
                                  <div class="form-group">
                                      <input name="name" type="text" class="form-control form-control-user" id="exampleInputName" placeholder="Entrer nom et prenom...">
                                  </div>
                                  <div class="form-group">
                                      <input name="password" type="password" class="form-control form-control-user" id="exampleInputPassword" placeholder="Entrer mot de passe">
                                  </div>
                                  <button type="submit" class="btn btn-primary btn-block btn-user">Se connecter</button>
                              </form>
                              <hr>
                          </div>
                      </div>
                  </div>
              </div>
          </div>
      </div>
  </div>
  
  </div>
  <!-- Bootstrap core JavaScript-->
  <script src="{{ asset('admin_assets/vendor/jquery/jquery.min.js') }}"></script>
  <script src="{{ asset('admin_assets/vendor/bootstrap/js/bootstrap.bundle.min.js') }}"></script>
  <!-- Core plugin JavaScript-->
  <script src="{{ asset('admin_assets/vendor/jquery-easing/jquery.easing.min.js') }}"></script>
  <!-- Custom scripts for all pages-->
  <script src="{{ asset('admin_assets/js/sb-admin-2.min.js') }}"></script>
</body>
</html>